// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the BTSS_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// BTSS_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifndef _BTSS_H_
#define _BTSS_H_

#pragma pack(push, 1)

#define SIZE_MAP		58

#ifdef BTSS_EXPORTS
#define BTSS_API __declspec(dllexport)
#else
#define BTSS_API __declspec(dllimport)
#endif

// This class is exported from the BtSS.dll
class BTSS_API CBtSS {
public:
	CBtSS(void); 

	// Get or Set Data Pad -> PC
	void* GetiData(void* OBuffer);
	void* SetiData(void* IBuffer);

	// Get or Set Data PC -> Pad
	void* GetoData(void* Buffer);
	void* SetoData(void* Buffer);
	
	~CBtSS();
};

#pragma pack(pop)

#pragma data_seg(".shared")
#pragma comment(linker, "/SECTION:.shared,RWS")
	UCHAR	iData[SIZE_MAP]={"sharedata"};
	UCHAR	Vibration[4]={0x00,0x00,0x00,0x00};
#pragma data_seg()

#endif _BTSS_H_